2019-08-26 08:07 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000132mercuryBugpublic2010-02-02 16:30
Reportermgiuca 
Assigned Tojuliensf 
PrioritynormalSeveritytextReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000132: Typo in make_hlds_warn ("ccur")
DescriptionSmall typo in a warning message in make_hlds_warn.

It prints "warning: variables `A, B' ccur more than once in this scope."
"ccur" should read "occur".

Attached & pasted below is a tiny patch.

--- compiler/make_hlds_warn.m 2009-09-08 18:14:40.000000000 +1000
+++ compiler/make_hlds_warn.m 2010-02-02 14:49:38.000000000 +1100
@@ -386,7 +386,7 @@
                 words("occurs more than once in this scope."), nl]
         ;
             MultiPieces = [words("warning: variables"), MultiVarsPiece,
- words("ccur more than once in this scope."), nl]
+ words("occur more than once in this scope."), nl]
         ),
         MultiMsg = simple_msg(goal_info_get_context(GoalInfo),
             [option_is_set(warn_singleton_vars, yes,
TagsNo tags attached.
Attached Files
  • patch file icon make_hlds_warn.m.patch (567 bytes) 2010-02-02 14:52 -
    --- compiler/make_hlds_warn.m	2009-09-08 18:14:40.000000000 +1000
    +++ compiler/make_hlds_warn.m	2010-02-02 14:49:38.000000000 +1100
    @@ -386,7 +386,7 @@
                     words("occurs more than once in this scope."), nl]
             ;
                 MultiPieces = [words("warning: variables"), MultiVarsPiece,
    -                words("ccur more than once in this scope."), nl]
    +                words("occur more than once in this scope."), nl]
             ),
             MultiMsg = simple_msg(goal_info_get_context(GoalInfo),
                 [option_is_set(warn_singleton_vars, yes,
    
    patch file icon make_hlds_warn.m.patch (567 bytes) 2010-02-02 14:52 +

-Relationships
+Relationships

-Notes

~0000250

juliensf (administrator)

Fix committed - thanks for that.
+Notes

-Issue History
Date Modified Username Field Change
2010-02-02 14:52 mgiuca New Issue
2010-02-02 14:52 mgiuca File Added: make_hlds_warn.m.patch
2010-02-02 16:30 juliensf Note Added: 0000250
2010-02-02 16:30 juliensf Status new => resolved
2010-02-02 16:30 juliensf Resolution open => fixed
2010-02-02 16:30 juliensf Assigned To => juliensf
+Issue History